﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;

    [RequiresSkill(typeof(FertilizersSkill), 4)]
    public class CompostRecipe :
        RecipeFamily
    {
        public CompostRecipe()
        {
            var ingredients = new IngredientElement[] {
                new IngredientElement(typeof(DirtItem), 3, true),
                new IngredientElement(typeof(PlantFibersItem), 75, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),
                new IngredientElement(typeof(WoodPulpItem), 75, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),
            };

            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Compost",
                    Localizer.DoStr("Compost"),
                    ingredients,
                    new CraftingElement[]
                    {
                        new CraftingElement<CompostItem>(1),
                    }
                 )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(3000);
            this.ExperienceOnCraft = 2;
            this.CraftMinutes = CreateCraftTimeValue(typeof(CompostRecipe), 5, typeof(FertilizersSkill));
            this.Initialize(Localizer.DoStr("Compost"), typeof(CompostRecipe));
            CraftingComponent.AddRecipe(typeof(FarmersTableObject), this);
        }
    }
}
