﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;

    [RequiresSkill(typeof(FertilizersSkill), 5)]
    public class CompostLv2Recipe :
        RecipeFamily
    {
        public CompostLv2Recipe()
        {
            var ingredients = new IngredientElement[] {
                new IngredientElement(typeof(DirtItem), 5, true),
                new IngredientElement(typeof(PlantFibersItem), 50, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),
                new IngredientElement(typeof(WoodPulpItem), 50, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),
                new IngredientElement(typeof(LiquidNitrogenItem), 1, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),
                new IngredientElement(typeof(CO2CanisterItem), 1, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),
            };

            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Compost Lv2",
                    Localizer.DoStr("Компост Ур.2"),
                    ingredients,
                    new CraftingElement[]
                    {
                        new CraftingElement<CompostItem>(3),
                    }
                 )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(3000);
            this.ExperienceOnCraft = 2;
            this.CraftMinutes = CreateCraftTimeValue(typeof(CompostLv2Recipe), 0.3f, typeof(FertilizersSkill));
            this.Initialize(Localizer.DoStr("Компост Ур.2"), typeof(CompostLv2Recipe));
            CraftingComponent.AddRecipe(typeof(LaboratoryObject), this);
        }
    }
}
